Summary: The finger client.
Name: finger
Version: 0.17
Release: 13tr
License: BSD
Group: Trustix Official
Source0: ftp://ftp.uk.linux.org/pub/linux/Networking/finger/bsd-finger-%{version}.tar.gz
Patch1: bsd-finger-0.16-pts.patch
Patch2: bsd-finger-0.17-exact.patch
Patch3: bsd-finger-0.16-allocbroken.patch
Patch4: bsd-finger-0.17-rfc742.patch
Patch5: bsd-finger-0.17-time.patch
Patch6: bsd-finger-0.17-usagi-ipv6.patch
Patch7: bsd-finger-0.17-typo.patch
Patch8: bsd-finger-0.17-strip.patch
Patch9: bsd-finger-0.17-utmp.patch
Patch10: bsd-finger-0.16-configure.patch

#Patch1: bsd-finger-0.16-pts.patch
#Patch2: bsd-finger-0.17-exact.patch
#Patch4: bsd-finger-0.17-time.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root


%description
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The finger package includes a standard
finger client.

You should install finger if you'd like to retreive finger information
from other systems.

%prep
%setup -q -n bsd-finger-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
sh configure --prefix=/usr
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/man/man1,share/man/man8,sbin}

make INSTALLROOT=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/bin/finger
/usr/share/man/man1/finger.1*
%exclude /usr/sbin/in.fingerd
%exclude /usr/share/man/man8/in.fingerd.8.gz

%changelog
* Tue Mar 15 2005 Raghu <raghu at comodo dot com> 0.17-12tr
- Rebuilt

* Wed Sep 22 2004 Syed Shabir <syedshabir at comodo dot com> 0.17-10tr
- Added Patches to Fix:
- Made finger agree with our other apps about how utmp is managed
- Removed dead users from the lists as a result
- Random idle time bug

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 0.17-7tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.17-6tr
- Big rebuild

* Tue May 13 2003 Erlend Midttun <erlendbm at trustix dot com> 0.17-5em
- Killed -server.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.17-4em
- Rebuilt against glibc 2.3.2.

* Mon Aug 26 2002 Gerald Dachs <gda at trustix dot org> 0.17-3gd
- changed #include <sys/time.h> to #include <time.h> (patch4)	

* Mon May 29 2000 Erlend Midttun <erlendbm at trustix dot com>
- Fixed paths

* Fri Feb 11 2000 Bill Nottingham <notting@redhat.com>
- fix description

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix decsription
- man pages are compressed

* Tue Jan  4 2000 Bill Nottingham <notting@redhat.com>
- split client and server

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Wed Jul 28 1999 Jeff Johnson <jbj@redhat.com>
- exact match w/o -m and add missing pts patch (#2118).
- recompile with correct PATH_MAILDIR (#4218).

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix process table filled DOS attack (#1271)
- fix pts display problems (#1987 partially)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- fix error message typo.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure/
